package cz.vutbr.feec.session.gnp;

import cz.vutbr.feec.packets.ttp.FTAPacket;
import cz.vutbr.feec.packets.ttp.FTCPacket;
import cz.vutbr.feec.packets.ttp.FTSPacket;
import cz.vutbr.feec.packets.ttp.LMSPacket;
import cz.vutbr.feec.packets.ttp.LMVPacket;

/**
 * The listener class for receiving send/receive events.
 */
abstract public class EventAdaptor implements EventListener {

	public void received(FTAPacket packet) {
	}

	public void received(FTCPacket packet) {
	}

	public void received(FTSPacket packet) {
	}

	public void received(LMSPacket packet) {
	}

	public void received(LMVPacket packet) {
	}

	public void sent(FTAPacket packet) {
	}

	public void sent(FTCPacket packet) {
	}

	public void sent(FTSPacket packet) {
	}

	public void sent(LMSPacket packet) {
	}

	public void sent(LMVPacket packet) {
	}
}
